#
# spec file for a build-time dependency of project "zookeeper"
#
# Copyright (c) 2017 SUSE Linux GmbH
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

Name:           zookeeper-kit
Version:        3.4.13
Release:        3.1
License:        SUSE-NonFree
Summary:        Build-time dependency of project "zookeeper"
Url:            https://github.com/SilvioMoioli/tetra
Group:          Development/Libraries/Java
# This tarball needs to be generated from the source tarball shipped with the
# matching zookeeper package using Tetra (ruby2.2-rubygem-tetra). You will find
# detailed instructions for generating it in README.updating. This is neccessary
# due to Zookeeper's Ant based build process downloading dependencies at build
# time. Tetra will keep track of these downloaded dependencies and generate a
# tarball containing all of them. This tarball is then used to allow the same
# build to run in an offline manner in OBS (where there is no Internet
# connectivity).
Source0:        %{name}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
# Avoid false-positive: Java.Malware.Agent-6203284-0 FOUND
#!BuildIgnore: post-build-checks-malwarescan
BuildRequires:  xz
BuildRequires:  fdupes
Provides:       tetra-kit
Conflicts:      otherproviders(tetra-kit)

%description
This package has been automatically created by tetra in order to
satisfy build time dependencies of Java packages.
It should not be used except for rebuilding other packages,
thus it should never be installed on end users' systems.

%prep
%setup -q -n kit

%build
# nothing to do, precompiled by design

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
install -d -m 0755 %{buildroot}%{_datadir}/tetra/
cp -a * %{buildroot}%{_datadir}/tetra/
%fdupes -s %{buildroot}%{_datadir}/tetra/

%files
%defattr(-,root,root)
%{_datadir}/tetra/

%changelog
* Mon Jan  7 2019 tbechtold@suse.com
- Bumped version to allow building zookeeper 3.4.13
* Mon May 29 2017 johannes.grassler@suse.com
-  Bumped version to allow building zookeeper 3.4.10 (bsc#1048688, FATE#323204)
* Tue Apr 18 2017 dmueller@suse.com
- avoid clamav false positive
* Thu Mar 30 2017 johannes.grassler@suse.com
- Added information on the provenvance of the Kit tarball to the
  spec and README.updating.
* Tue Feb 14 2017 johannes.grassler@suse.com
- Added ivy cache to kit tarball
* Tue Feb 14 2017 johannes.grassler@suse.com
- Added ivy-2.4.0.jar to kit tarball
* Mon Feb 13 2017 johannes.grassler@suse.com
- Initial package
